Skip to main content
GET
/
v2
/
mining
/
companies
/
performance
/
{slug}
Mining Company Performance
curl --request GET \
  --url https://api.sectors.app/v2/mining/companies/performance/{slug}/ \
  --header 'Authorization: <authorization>'
{
    "year": 2023,
    "available_years": [2022, 2023],
    "data": [
        {
            "year": 2023,
            "commodity_type": "Coal",
            "commodity_sub_type": "Sub-bituminous & Metallurgical Coal",
            "commodity_stats": {
                "unit": "Mt",
                "production_volume": 49.1,
                "sales_volume": 48.5,
                "overburden_removal_volume": 200.0,
                "strip_ratio": 4.07,
                "resources_reserves": [],
                "product": []
            }
        }
    ]
}
{
    "year": 2023,
    "available_years": [2022, 2023],
    "data": [
        {
            "year": 2023,
            "commodity_type": "Coal",
            "commodity_sub_type": "Sub-bituminous & Metallurgical Coal",
            "commodity_stats": {
                "unit": "Mt",
                "production_volume": 49.1,
                "sales_volume": 48.5,
                "overburden_removal_volume": 200.0,
                "strip_ratio": 4.07,
                "resources_reserves": [],
                "product": []
            }
        }
    ]
}
Authorization
string
required
Authorization header that should be filled with your Sectors Financial API key.

Path Parameters

slug
string
required
The unique identifier (slug) of the mining company.

Query Parameters

year
integer
The year to retrieve (e.g., 2023). Defaults to the latest available year.
commodity_type
string
Filter by commodity (e.g., ‘Nickel’). Case-insensitive.

Response

year
integer
The specific year returned for this record.
available_years
integer[]
A list of all years where performance data is available for this company.
data
PerformanceRecord[]